DEBSUMS(1)

NOM
debsums - vérifie les sommes de contrôle MD5 des paquets Debian installés

SYNOPSIS
debsums [options] [paquet|deb] ...

DESCRIPTION
Vérifie les fichiers des paquets Debian installés grâce à des listes de sommes de contrôle MD5 depuis /var/lib/dpkg/info/*.md5sums.

debsums peut générer des listes de sommes de contrôle à partir des archives deb pour les paquets n'en possédant pas.

OPTIONS

-a, --all
    Vérifie aussi les fichiers de configuration (ignorés par défaut).

-e, --config
    Vérifie seulement les fichiers de configuration.

-c, --changed
    Envoie la liste des fichiers modifiés sur la sortie standard (ceci implique -s).

-l, --list-missing
    Liste les paquets (ou fichiers .deb) qui n'ont pas de somme de contrôle MD5.

-s, --silent
    Affiche seulement les erreurs.

-m, --md5sums=fichier
    Lit la liste des sommes de contrôle dans fichier.

-r, --root=répertoire
    Répertoire racine à vérifier (/ par défaut).

-d, --admindir=répertoire
    Répertoire administratif de dpkg (/var/lib/dpkg par défaut).

-p, --deb-path=répertoire[:répertoire...]
    Répertoires où chercher les fichiers .deb dérivés du nom du paquet (répertoire courant par défaut).

    Quand on utilise apt-get autoclean ou qu'on ne vide pas du tout le cache, /var/cache/apt/archives est un paramètre intéressant pour cette option. La commande :

        apt-get --reinstall -d install `debsums -l`

    peut être utilisée pour remplir à nouveau le cache avec les paquets qui ne sont pas déjà dans le cache.

    Note : Cela ne fonctionne pas pour les CD et autres sources locales car les paquets ne sont pas copiés dans /var/cache. Les sources de type file (tous les debs dans un seul répertoire) devraient être ajoutées à la liste -p.

-g, --generate=[missing|all][,nocheck]
    Génère les sommes de contrôle MD5 à partir du contenu des paquets. Si le paramètre n'est pas une archive .deb mais un nom de paquet, le programme cherchera un fichier .deb nommé paquet_version_arch.deb dans les répertoires indiqués par l'option -p.

    missing
        Génère les sommes de contrôle MD5 à partir des fichiers .deb pour les paquets qui n'en fournissent pas.

    all Ignore les sommes de contrôle enregistrées. Utilise les sommes de contrôle des fichiers .deb ou les calcule à partir de ceux-ci si elles n'existent pas.

    nocheck
        Les sommes de contrôle ne sont pas comparées à celles du paquet installé.

    Afin d'assurer la compatibilité ascendante, l'option courte -g équivaut à --generate=missing.

--no-locale-purge
    Signale les fichiers de localisation absents même si localepurge est configuré.

--no-prelink
    Signale les fichiers ELF modifiés même si prelink est configuré.

--ignore-permissions
    Considère les erreurs de permission comme des avertissements lorsque le programme n'est pas exécuté par le superutilisateur.

--ignore-obsolete
    Ignorer les fichiers de configuration obsolètes.

--help
--version
    Affiche l'aide et la version du programme.

CODE DE RETOUR
debsums retourne 0 en cas de succès, ou une combinaison* des valeurs suivantes en cas d'erreur :

1   Un paquet spécifié ou un nom d'archive n'est pas installé, est invalide ou la version installée ne correspond pas à l'archive donnée.

2   Des fichiers du paquet ont changé ou sont absents ou les sommes de contrõle ne correspondent pas pour une archive.

255 Option invalide.

Si les deux premières conditions sont vraies, le code de retour sera 3.

EXEMPLES

debsums foo bar
    Vérifie les sommes de contrôle des paquets installés foo et bar.

debsums foo.deb bar.deb
    Comme ci-dessus, en utilisant les sommes de contrôle des archives (ou celles calculées à partir de celles-ci).

debsums -l
    Liste les paquets installés ne possédant pas de somme de contrôle.

debsums -ca
    Liste les fichiers modifiés des paquets installés ayant une somme de contrôle.

debsums -ce
    Liste les fichiers de configuration modifiés.

debsums -cagp /var/cache/apt/archives
    Comme ci-dessus, en utilisant les sommes de contrôle des archives .deb disponibles en cache.

apt-get install --reinstall $(dpkg -S $(debsums -c) | cut -d : -f 1 | sort -u)
    Réinstalle les paquets ayant des fichiers modifiés.

RÉSULTATS

OK  La somme de contrôle MD5 du fichier est bonne.

FAILED
    La somme de contrôle MD5 du fichier ne correspond pas.

REPLACED
    Le fichier a été remplacé par un fichier d'un autre paquet.

VOIR AUSSI
md5sum(1),

VARIABLES D'ENVIRONNEMENT

TPMDIR
    Répertoire d'extraction des informations et du contenu des paquets archivés (/tmp par défaut).

AVERTISSEMENTS
Bien qu'en général le programme puisse être lancé par un simple utilisateur, certains paquets peuvent contenir des fichiers qui ne sont pas lisibles par tous les utilisateurs : ils ne peuvent alors pas être vérifiés. Des privilèges étendus sont bien sûr nécessaires pour la génération des sommes de contrôle en activant l'option keep.

Les fichiers ayant été remplacés par un autre paquet peuvent être considérés à tort comme ayant été modifiés.

debsums est principalement destiné à être utilisé comme un moyen de déterminer les fichiers installés qui ont été modifiés localement par l'administrateur ou endommagés par des erreurs de support physique. Il est d'une utilité limitée en tant qu'outil de sécurité.

Si vous recherchez un vérificateur d'intégrité qui puisse être exécuté depuis un support sûr, qui fasse des vérifications d'intégrité sur les bases de données des sommes de contrôle et qui puisse être facilement configuré pour se lancer périodiquement et avertir l'administrateur des changements, veuillez regarder d'autres outils comme : aide, integrit, samhain ou tripwire.

AUTEUR
Écrit par Brendan O'Dea <bod@debian.org>.
Basé sur un programme de Christophe Lameter <clameter@debian.org> et Petr Cech <cech@debian.org>.

TRADUCTION
Antoine Gémis <agemis@netuup.com>, 2002. Frédéric Bothamy <frederic.bothamy@free.fr>, 2005-2007. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.

COPYRIGHT
Copyright © 2002 Brendan O'Dea <bod@debian.org>
Ce programme est un logiciel libre, sous licence publique générale GNU (GPL). Il n'y a AUCUNE garantie, même en cas de COMMERCIALISATION ou d'ADAPTATION À DES BESOINS PARTICULIERS.